## GgitReflogEntry GgitReflogEntry |

## Functions

GgitReflogEntry * | ggit_reflog_entry_ref ()
void | ggit_reflog_entry_unref ()
GgitOId * | ggit_reflog_entry_get_old_id ()
GgitOId * | ggit_reflog_entry_get_new_id ()
GgitSignature * | ggit_reflog_entry_get_committer ()
const gchar * | ggit_reflog_entry_get_message ()

## Types and Values

| GgitReflogEntry

## Object Hierarchy

        GBoxed
        ╰── GgitReflogEntry

## Description

## Functions

### ggit_reflog_entry_ref ()

    GgitReflogEntry *
    ggit_reflog_entry_ref (GgitReflogEntry *reflog_entry);

Atomically increments the reference count of `reflog_entry` by one. This function is MT-safe and may be called from any thread.

#### Parameters

reflog_entry | a GgitReflogEntry. |

#### Returns

the passed in GgitReflogEntry or `NULL`.

[transfer none][nullable]

### ggit_reflog_entry_unref ()

    void
    ggit_reflog_entry_unref (GgitReflogEntry *reflog_entry);

Atomically decrements the reference count of `reflog_entry` by one. If the reference count drops to 0, `reflog_entry` is freed.

#### Parameters

reflog_entry | a GgitReflogEntry. |

### ggit_reflog_entry_get_old_id ()

    GgitOId *
    ggit_reflog_entry_get_old_id (GgitReflogEntry *reflog_entry);

Gets the old GgitOId.

#### Parameters

reflog_entry | a GgitReflogEntry. |

#### Returns

the old oid or `NULL`.

[transfer full][nullable]

### ggit_reflog_entry_get_new_id ()

    GgitOId *
    ggit_reflog_entry_get_new_id (GgitReflogEntry *reflog_entry);

Gets the new GgitOId.

#### Parameters

reflog_entry | a GgitReflogEntry. |

#### Returns

the new oid or `NULL`.

[transfer full][nullable]

### ggit_reflog_entry_get_committer ()

    GgitSignature *
    ggit_reflog_entry_get_committer (GgitReflogEntry *reflog_entry);

Gets the committer as a GgitSignature.

#### Parameters

reflog_entry | a GgitReflogEntry. |

#### Returns

the committer or `NULL`.

[transfer none][nullable]

### ggit_reflog_entry_get_message ()

    const gchar *
    ggit_reflog_entry_get_message (GgitReflogEntry *reflog_entry);

Gets the message.

#### Parameters

reflog_entry | a GgitReflogEntry. |

#### Returns

the message or `NULL`.

[transfer none][nullable]

## Types and Values

### GgitReflogEntry

    typedef struct _GgitReflogEntry GgitReflogEntry;

Represents a reflog entry.